Bug 836225 - [abrt] evince-3.2.1-2.fc16: memcpy: Process /usr/bin/evince-thumbnailer was killed by signal 7 (SIGBUS)
[abrt] evince-3.2.1-2.fc16: memcpy: Process /usr/bin/evince-thumbnailer was k...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Kašík
Fedora Extras Quality Assurance
abrt_hash:e4e21079bafd9de7d00d3b93be7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-28 08:35 EDT by Tobias Mueller
Modified: 2013-08-01 01:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:08:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (4.82 KB, text/plain)
2012-06-28 08:35 EDT, Tobias Mueller
no flags Details
File: maps (22.28 KB, text/plain)
2012-06-28 08:35 EDT, Tobias Mueller
no flags Details
File: backtrace (142.42 KB, text/plain)
2012-06-28 08:35 EDT, Tobias Mueller
no flags Details

  None (edit)
Description Tobias Mueller 2012-06-28 08:35:02 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        evince-thumbnailer -s 128 file:///tmp/panos/hangzhou/20120623_012-20120623_013_exposure_0000.tif /tmp/.gnome_desktop_thumbnail.VNNHGW
comment:        eh, dunno why the evince thumbnailer went off. My nautilus was previewing images being created by hugin. Maybe it wrongly recognized a picture as a PDF file and hence the data is not PDF, it crashed.
crash_function: memcpy
executable:     /usr/bin/evince-thumbnailer
kernel:         3.4.2-1.fc16.x86_64
pid:            27728
pwd:            /home/muelli
time:           Do 28 Jun 2012 14:22:18 CEST
uid:            1000
username:       muelli
var_log_messages: Jun 28 14:22:18 bigbox abrt[27730]: Saved core dump of pid 27728 (/usr/bin/evince-thumbnailer) to /var/spool/abrt/ccpp-2012-06-28-14:22:18-27728 (32944128 bytes)

backtrace:      Text file, 145841 bytes
dso_list:       Text file, 4938 bytes
maps:           Text file, 22819 bytes

environ:
:LC_PAPER=de_DE.utf8
:XDG_VTNR=1
:LC_ADDRESS=de_DE.utf8
:XDG_SESSION_ID=5
:HOSTNAME=bigbox
:LC_MONETARY=de_DE.utf8
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=1f0b1dd00463efa5e536a1ef48f433dc-1340864722.188153-1253462559
:LC_NUMERIC=de_DE.utf8
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-HDjqxg
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=muelli
:LC_TELEPHONE=de_DE.utf8
:USERNAME=muelli
:MAIL=/var/spool/mail/muelli
:PATH=/home/muelli/bin:/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin
:DESKTOP_SESSION=gnome
:LC_MESSAGES=en_US.utf8
:QT_IM_MODULE=xim
:LC_COLLATE=de_DE.utf8
:LC_IDENTIFICATION=de_DE.utf8
:PWD=/home/muelli
:XMODIFIERS=@im=none
:EDITOR=nano
:KDE_IS_PRELINKED=1
:LANG=de_DE.utf8
:GNOME_KEYRING_PID=1707
:KDEDIRS=/usr
:LC_MEASUREMENT=de_DE.utf8
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:HOME=/home/muelli
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=muelli
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:VISUAL=nano
:LC_CTYPE=de_DE.utf8
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-cEcLVQ09DX,guid=c2bf3da9b0022eb04d438bec00000246
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/muelli
:DISPLAY=:0.0
:LC_TIME=de_DE.utf8
:CCACHE_HASHDIR=
:LC_NAME=de_DE.utf8
:XAUTHORITY=/var/run/gdm/auth-for-muelli-mgSa9O/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1716,unix/unix:/tmp/.ICE-unix/1716
:GPG_AGENT_INFO=/tmp/keyring-HDjqxg/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-HDjqxg/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gnome-eog.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=27650
Comment 1 Tobias Mueller 2012-06-28 08:35:05 EDT
Created attachment 595005 [details]
File: dso_list
Comment 2 Tobias Mueller 2012-06-28 08:35:08 EDT
Created attachment 595006 [details]
File: maps
Comment 3 Tobias Mueller 2012-06-28 08:35:11 EDT
Created attachment 595008 [details]
File: backtrace
Comment 4 Tobias Mueller 2012-06-28 11:09:34 EDT
having nautilus open when TIF images were created by hugin

FWIW: The nautilus tab was not "active", i.e. another tab was in foreground. The offending file (60MB) can be found here: https://muelli.cryptobitch.de/tmp/2012-06-28-20111126_029-20111126_036.tif


backtrace_rating: 4
Package: evince-3.2.1-2.fc16
OS Release: Fedora release 16 (Verne)
Comment 5 Tobias Mueller 2012-09-06 11:33:24 EDT
Well, I was playing around with hugin, generating panoramas...

backtrace_rating: 4
Package: evince-3.4.0-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Fedora End Of Life 2013-07-03 21:02:20 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 01:08:05 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.